<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Mall_ADList.aspx.cs" Inherits="RM.Web.Mall.AD.Mall_ADList" %>

<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_admsglist")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jquery.pullbox.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $(".div-body").PullBox({ dv: $(".div-body"), obj: $("#table1").find("tr") });
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 118);
        })
        function add() {
            var url = "/Mall/AD/Mall_ADForm.aspx";
            top.openDialog(url, 'Mall_ADForm', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_imgInfo")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 700, 400, 50, 50);
        }
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Mall/AD/Mall_ADForm.aspx?AD_ID=" + key;
                top.openDialog(url, 'Mall_ADForm', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_imgInfo")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 700, 400, 50, 50);
            }
        }

        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_imgInfo")%>&tableName=TKS_Mall_AD&pkName=AD_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
    
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="load">
        <div class="btnbartitle">
            <div>
                <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_admsglist")%>
            </div>
        </div>
        <div class="btnbarcontetn">
            <div style="text-align: right">
                <uc2:LoadButton ID="LoadButton1" runat="server" />
            </div>
        </div>
        <div class="div-body">
            <%=wintable %>
        </div>
        <uc1:PageControl ID="PageControl1" runat="server" />
    </div>
    </form>
</body>
</html>
